Packages - Bug #1988

kernel panic after recent update
2018-09-15 04:03 AM - christian

Status: fixed % Done: 100%
Priority: bug

Assignee: ovruni

Category:

Description

Also worth noting that | used this as an excuse to do a fresh install and that failed.

History

#1 - 2018-09-16 01:24 AM - freemor

- Status changed from open to info needed

What type of system?
What Archetecture?

What was the error is any?
When did the kernel panic?

If this is an older machine did you apply the clocksource=hpet workaround for the current kernel bug? see #1967

#2 - 2018-09-16 01:53 AM - christian

Systemd system, x86_64 architecture, | don't remember all the errors but one of them explicitly said "kernel panic". It happened after rebooting after
an update and did a kernel panic immediately upon every boot. Machine was new probably three years ago, so not too old.

| tried reinstalling the systemd version and that failed due to kernel errors. | tried again a few hours ago and now it installs okay, but has a problem
with the wired internet connection (probably an unrelated bug?), which is functional during the installer. Explicitly, if | ping 8.8.8.8 it succeeds, but

ping -¢ 3 gnu.org

gives the error:

temporary failure in name resolution

The dhcped service is enabled.

I'm able to get an openrc install with working internet, but I'd prefer to use systemd because it has better documentation.

#3 - 2018-09-16 01:59 AM - freemor

Then this is no longer a kernel panic bug?

do you have a systemd system installed still.

If so what does cat /etc/resolv.conf show?

What network manager are you using? netctl, wicd, networkmanager

This sounds like a DNS failure. Or a failure to pickup the DNS settings from dhcp correctly

#4 - 2018-09-16 02:07 AM - christian

cat /etc/resolv.conf

gives:

1. Generated by NetworkManager

nameserver 75.75.75.75

nameserver 75.75.76.76

nameserver 2001:558:feed::1
2. NOTE: the libc resolver may not support more than 3 nameservers.
3. The nameservers listed below may not be recognized.

nameserver 2001:558:feed::2
#5 - 2018-09-16 02:11 AM - freemor

what happens if you:
nslookup gnu.org

and

nslookup gnu.org 75.75.75.75

#6 - 2018-09-16 02:14 AM - freemor

Also what class of MODEI of CPU is it a as in i3, i5, i7, pentuim, etc

want to know #1967 may have been involved

#7 - 2018-09-16 02:19 AM - freemor

If you can no longer reproduce the kernel panic | should mark this bug report as invalid
Network configuration is an entirely different issue.

#8 - 2018-09-16 02:20 AM - freemor

also which kernel?

#9 - 2018-09-16 02:28 AM - christian

Nevermind, this is nonsense. The output | just gave was from the live version, chrooted in. | assumed the command would show the contents of
/etc/resolv.conf on the disk, but when | checked it from inside the actual install (not just chrooted) it was blank. In fact, networkmanager wasn't even
installed, so of course there's going to be a problem. In the past | never actually needed to explicitly install networkmanager, so | guess it was in the
"base" group previously and recently removed.

I'm really sorry for wasting your time, and genuinely appreciate your help.

#10 - 2018-09-16 02:31 AM - freemor

I'll leave this open until some time tomorrow in case you have another panic. If so please report it. If not I'll mark this invalid

#11 - 2018-09-16 03:23 PM - ovruni
- Assignee set to ovruni

- Status changed from info needed to in progress

| believe that the error was due to an error in systemd that affected mkinitcpio. systemd-239.2-1.parabolai fix this.

#12 - 2018-09-16 03:23 PM - ovruni
- % Done changed from 0 to 100

- Status changed from in progress to fixed
